| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | List of all members
NTuple::Item< bool > Class Template Reference

Specialization acting as a smart pointer holding a N tuple _Item. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::Item< bool >:
[legend]
Collaboration diagram for NTuple::Item< bool >:
[legend]

## Public Member Functions
| Item ()=default
| Standard Constructor. More...
| operator bool () const
| Automatic type conversion. More...
Item & | operator= (const bool data)
| Assignment operator. More...
template<class T >
Item & | operator= (const Item< T > &data)
| Assignment operator. More...
Public Member Functions inherited from NTuple::_Accessor< _Item< bool > >
| _Accessor ()=default
| Standard Constructor. More...
virtual | ~_Accessor ()=default
| Standard Destructor. More...
bool | operator! () const
| Check if column is present. More...
| operator const void * () const
| Check if column is present. More...
_Item< bool > * | operator-> ()
| Dereference operator. More...
const _Item< bool > * | operator-> () const
| Dereference operator (CONST) More...
const Range< _Item< bool > > & | range () const
| Access the range. More...

## Private Types
typedef Item< bool > | _My

## Additional Inherited Members
Protected Attributes inherited from NTuple::_Accessor< _Item< bool > >
_Item< bool > * | m_ptr
| Pointer to instance. More...

## Detailed Description

### template<>
class NTuple::Item< bool >

Specialization acting as a smart pointer holding a N tuple _Item.

Definition at line 297 of file NTuple.h.

## Member Typedef Documentation

typedef Item<bool> NTuple::Item< bool >::_My
| private

Definition at line 298 of file NTuple.h.

## Constructor & Destructor Documentation

NTuple::Item< bool >::Item | ( |  | ) |
| default

Standard Constructor.

## Member Function Documentation

NTuple::Item< bool >::operator bool | ( |  | ) | const
| inline

Automatic type conversion.

Definition at line 303 of file NTuple.h.

303 { return this->m_ptr->get(); }
NTuple::_Item::get
virtual TYP get() const
Access to data by reference (CONST)
Definition: NTuple.h:146
NTuple::_Accessor< _Item< bool > >::m_ptr
_Item< bool > * m_ptr
Pointer to instance.
Definition: NTuple.h:230

Item& NTuple::Item< bool >::operator= | ( | const bool | data | ) |
| inline

Assignment operator.

Definition at line 305 of file NTuple.h.

305 {
306 this->m_ptr->set( data );
307 return *this;
308 }
NTuple::_Item::set
void set(const TYP &item)
Access to data by reference.
Definition: NTuple.h:144
NTuple::_Accessor< _Item< bool > >::m_ptr
_Item< bool > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class T >

Item& NTuple::Item< bool >::operator= | ( | const Item< T > & | data | ) |
| inline

Assignment operator.

Definition at line 311 of file NTuple.h.

311 {
312 this->m_ptr->set( data->get() );
313 return *this;
314 }
NTuple::_Item::set
void set(const TYP &item)
Access to data by reference.
Definition: NTuple.h:144
NTuple::_Accessor< _Item< bool > >::m_ptr
_Item< bool > * m_ptr
Pointer to instance.
Definition: NTuple.h:230

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h